Subject: [bug#51845] [PATCH 0/2] Add librsvg-bootstrap

From: Efraim Flashner <[email-masked]>
Date: Mon, 06 Dec 2021 17:02:45 +0000

On December 6, 2021 4:37:12 PM UTC, "Ludovic Courtès" <[email-masked]> wrote:
>Hi Efraim,
>
>Efraim Flashner <[email-masked]> skribis:
>
>> On a small tangent, the work I do sometimes to try to actually have a
>> dependency graph with the crates would only make these easier to find,
>> not actually address the issue here.
>>
>> I'm not sure if it'd be better to mostly copy the packages with a new
>> name and keep the cargo-inputs or to actually adjust the
>> cargo-inputs->inputs and cargo-development-inputs->native-inputs  so we
>> get the dependency graph from rust-libc-0.2.101 to librsvg. I'd like to
>> make the change but if we don't get the others changed then we
>> effectively really have two sets of rust crates.
>>
>> If we have both cargo-inputs and inputs then the cargo-build-system
>> doesn't have issues with using either type with later packages, so that
>> might be the best option for now.
>
>Thinking out loud… would it work to change:
>
>  (arguments '(#:cargo-inputs X #:cargo-development-inputs Y))
>
>to:
>
>  (native-inputs (map package-source Y))
>  (inputs (map package-source X))
>
>?
>
>Or am I just saying nonsense?
>
>Thanks,
>Ludo’.

Then we lose the transitive package sources, which is how we ended up where we are today.

I can go and change the cargo-build-system to use the skip-build flag in more phases to skip them when we aren't going to be building them anyway. No need to generate cargo checksums if we're not building I think.
-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.